<?php
namespace extension\ka_extensions\ka_multivendor;

class ControllerCustomerCustomField extends \ControllerCustomerCustomField {

	use \extension\ka_extensions\TraitController;

	function __construct($registry) {
		parent::__construct($registry);
		$this->load->language('extension/ka_extensions/ka_multivendor/account');
	}

	protected function getForm() {

		$this->disableRender();
		parent::getForm();
		$this->enableRender();

		$template = $this->getRenderTemplate();
		$data = $this->getRenderData();

		$data['is_ka_multivendor_installed'] = true;

		$this->response->setOutput($this->load->view($template, $data));
	}
	
}