<?php

namespace extension\ka_extensions\ka_multivendor;

class ModelCatalogAttributeGroup extends \ModelCatalogAttributeGroup {

	public function getAttributeGroup($attribute_group_id) {
	
		$result = parent::getAttributeGroup($attribute_group_id);
		if (empty($result)) {
			return $result;
		}
		
		$descr = $this->getAttributeGroupDescriptions($attribute_group_id);
		
		$language_id = $this->config->get('config_language_id');
		
		if (empty($descr[$language_id])) {
			return $result;
		}
		
		$result = array_merge($result, $descr[$language_id]);
		
		return $result;
	}

}