$(document).ready(function() {
	// Override summernotes image manager
	$('[data-mv-toggle=\'summernote\']').each(function() {
		var element = this;
		
		if ($(this).attr('data-lang')) {
			$('head').append('<script type="text/javascript" src="view/javascript/summernote/lang/summernote-' + $(this).attr('data-lang') + '.js"></script>');
		}

		$(element).summernote({
			lang: $(this).attr('data-lang'),
			disableDragAndDrop: true,
			height: 300,
			emptyPara: '',
			codemirror: { // codemirror options
				mode: 'text/html',
				htmlMode: true,
				lineNumbers: true,
				theme: 'monokai'
			},			
/*			fontSizes: ['12', '14', '18', '24'], */
			toolbar: [
				['style', ['style']],
				['font', ['bold', 'underline', 'clear']],
/*				['fontname', ['fontname']], */
/*				['fontsize', ['fontsize']], */
				['color', ['color']],
				['para', ['ul', 'ol', 'paragraph']],
				['table', ['table']],
				['insert', ['link', 'image'/*, 'video'*/]],
				['view', ['fullscreen'/*, 'codeview', 'help'*/]]
			],
			styleTags: ['p', 'pre', 'h2', 'h3', 'h4'],
			popover: {
           		image: [
					['custom', ['imageAttributes']],
					['imagesize', ['imageSize100', 'imageSize50', 'imageSize25']],
					['float', ['floatLeft', 'floatRight', 'floatNone']],
					['remove', ['removeMedia']]
				],
			}
		});
	});
});