<?php
/*
	$Project$
	$Author$

	$Version$ ($Revision$)
*/

namespace extension\ka_extensions\ka_multivendor;

class ControllerProductProduct extends \ControllerProductProduct {

	use \extension\ka_extensions\TraitController;

	public function index() {

		$this->load->disableRender();
		parent::index();
		$this->load->enableRender();

		$data     = $this->getRenderData();
		$template = $this->getRenderTemplate();
		
		if (!empty($data['product_id'])) {
			$vendor = $this->model_catalog_product->getProductVendor($data['product_id']);
			if (!empty($vendor['customer_id'])) {
				$vendor['products_url'] = $this->url->link('product/search', 'vendor_id=' . $vendor['customer_id'], true);
				$data['vendor'] = $vendor;
			}
		}
		
		$this->response->setOutput($this->load->view($template, $data));	
	}
}