<?php
/*
	$Project$
	$Author$

	$Version$ ($Revision$)
*/

namespace extension\ka_extensions\ka_multivendor;

class ModelAccountCustomField extends \ModelAccountCustomField {

	public function getCustomFields($customer_group_id = 0) {
	
		$custom_fields = parent::getCustomFields($customer_group_id);
		
		if (empty($custom_fields)) {
			return $custom_fields;
		}
		
		$_custom_fields = array();
		
		foreach ($custom_fields as $cfk => $cfv) {
			if ($cfv['location'] == 'v_acc') {
				continue;
			}
			$_custom_fields[$cfk] = $cfv;
		}
		
		$custom_fields = $_custom_fields;
		
		return $custom_fields;
	}

			
	public function getVendorCustomFields($customer_group_id = 0) {
	
		$custom_fields = parent::getCustomFields($customer_group_id);
		
		if (empty($custom_fields)) {
			return $custom_fields;
		}
		
		$_custom_fields = array();
		
		foreach ($custom_fields as $cfk => $cfv) {
			if ($cfv['location'] != 'v_acc') {
				continue;
			}
			$_custom_fields[$cfk] = $cfv;
		}
		
		$custom_fields = $_custom_fields;
		
		return $custom_fields;
	}
}