<?php

namespace extension\ka_extensions\ka_multivendor;

class ModelKaSMethods extends \extension\ka_extensions\ka_smethods\ModelKaSMethods {

	protected function prepareSql($data) {

		if (!isset($data['where'])) {
			$data['where'] = array();
		}
	
		$vendor_id = $this->cart->getVendorId();
		
		if (!empty($vendor_id) && $this->config->get('ka_multivendor_shipping_setup') == 'custom') {
			$data['where'][] = "vendor_id = '$vendor_id'";
		} else {
			$data['where'][] = "vendor_id = 0";
		}
		
		$sql = parent::prepareSql($data);
		
		if (!empty($vendor_id)) {
			$sql = str_replace("INNER JOIN " . DB_PREFIX . "ka_shipping_methods_to_customer_groups",
				"LEFT JOIN " . DB_PREFIX . "ka_shipping_methods_to_customer_groups",
				$sql
			);
		}
		
		return $sql;
	}	

}