<?php

namespace extension\ka_extensions\ka_multivendor\table;
use extension\ka_extensions\atable as atable;

class KaShippingRates extends ATable {

	const TABLE_NAME = 'ka_shipping_rates';

	/*
		List of fields available for update by a vendor
	*/
	public function getFields() {
		
		$fields = array(
			'shipping_method_id' => array(),
			'geo_zone_id' => array(),
			'weight_min' => array(),
			'weight_max' => array(),
			'subtotal_min' => array(),
			'subtotal_max' => array(),
			'flat_charge' => array(),
			'per_item_charge' => array(),
			'per_weight_charge' => array(),
			'subtotal_percentage' => array(),
		);
		
		return $fields;
	}
	
}
class_alias(__NAMESPACE__ . '\KaShippingRates', '\ModelExtensionKaExtensionsKaMultivendorTableKaShippingRates');