<?php
/*
	$Project: Multivendor $
	$Author: karapuz team <support@ka-station.com> $

	$Version: 1.0.0.0 $ ($Revision: 120 $)
*/

namespace extension\ka_extensions\ka_multivendor;

use \extension\ka_extensions\QB;

abstract class AModelVendorTransaction extends \extension\ka_extensions\Model {

	use TraitGetModel;

	public function addTransactionAmount($vendor_order) {

//		$kamodel_vendor = $this->load->kamodel('extension/ka_extensions/ka_multivendor/vendor');
//		$vendor = $kamodel_vendor->getVendor($vendor_order['vendor_id']);
	
		$description = $this->language->get("Commision %commission% for order #%order%");
		$description = str_replace(
			array('%commission%','%order%'),
			array($vendor_order['store_commission'] . '%', $vendor_order['order_id']),
			$description
		);

		$amount = $vendor_order['commission_total'];
		
		$this->db->query("INSERT INTO " . DB_PREFIX . "customer_transaction 
			SET customer_id = '" . (int)$vendor_order['vendor_id'] . "', 
			order_id = '" . (int)$vendor_order['order_id'] . "', 
			description = '" . $this->db->escape($description) . "', 
			amount = '" . (float)$amount . "', date_added = NOW()
		");
	}	

	
	public function deductTransactionAmount($vendor_order) {
		$description = $this->language->get("Deduct commission for order #%order%");
		$description = str_replace(
			array('%commission%','%order%'),
			array($vendor_order['store_commission'] . '%', $vendor_order['order_id']),
			$description
		);

		$amount = 0 - $vendor_order['commission_total'];
		
		$this->db->query("INSERT INTO " . DB_PREFIX . "customer_transaction 
			SET customer_id = '" . (int)$vendor_order['vendor_id'] . "', 
			order_id = '" . (int)$vendor_order['order_id'] . "', 
			description = '" . $this->db->escape($description) . "', 
			amount = '" . (float)$amount . "', date_added = NOW()
	");
	}
}