<?php

namespace extension\ka_extensions\ka_multivendor;

class Customer extends \Cart\Customer {

	/*
		This function returns if the currrent customer profile is an active vendor. When you need to know
		if the customer applied for the vendor role, you should use kamodel_vendor->getVendorStatus() function
		instead.
	
		Vendor status: 
			0/false - disabled
			1       - enabled
	*/
	public function isVendor() {
	
		if (empty($this->getId())) {
			return false;
		}
	
		$res = $this->db->query("SELECT vendor_status FROM " . DB_PREFIX . "ka_vendor
			WHERE customer_id = '" . $this->getId() . "'
		")->row;
		
		if (empty($res)) {
			return false;
		}
		
		$result = !empty($res['vendor_status']);
		
		return $result;
	}
}