<?php

namespace extension\ka_extensions\ka_multivendor\table;
use extension\ka_extensions\atable as atable;

class KaVendor extends ATable {

	const TABLE_NAME = 'ka_vendor';

	protected function getRecordFromData($data) {
	
		$data = parent::getRecordFromData($data);
		
		if (isset($data['vendor_custom_field'])) {
			$data['vendor_custom_field'] = json_encode($data['vendor_custom_field']);
		}
		
		return $data;
	}
	
	/*
		List of fields available for update
	*/
	public function getFields() {
		
		$fields = array(
			'vendor_logo'         => array(),
			'customer_id'         => array(),
			'vendor_custom_field' => array(),
			'vendor_status'    => array(),
			'product_limit'    => array(),
			'store_commission' => array(),
		);

		return $fields;
	}
}
class_alias(__NAMESPACE__ . '\KaVendor', '\ModelExtensionKaExtensionsKaMultivendorTableKaVendor');