<?php
/*
	$Project: Multivendor $
	$Author: karapuz team <support@ka-station.com> $

	$Version: 1.0.0.0 $ ($Revision: 142 $)
*/

/*
	It is included in controllers
*/

namespace extension\ka_extensions\ka_multivendor;

trait TraitControllerVendor {

	use \extension\ka_extensions\TraitControllerForm {
		getFieldWithData as defaultGetFieldWithData;
	}

	protected function getFieldWithData($k, $f, $old_data, $new_data = null) {
	
		if (!empty($f['is_vendor_custom'])) {

			if (!empty($errors['vendor_custom_field'][$f['custom_field_id']])) {
				$f['error'] = $errors['vendor_custom_field'][$f['custom_field_id']];
			}
			
			if (!empty($new_data)) {
				if (isset($new_data['vendor_custom_field']) && isset($new_data['vendor_custom_field'][$f['custom_field_id']])) {
					$f['value'] = $new_data['vendor_custom_field'][$f['custom_field_id']];
				} else {
					$f['value'] = '';
				}
			} elseif (!empty($old_data['vendor_custom_field'][$f['custom_field_id']])) {
				$f['value'] = $old_data['vendor_custom_field'][$f['custom_field_id']];
			} else {
				$f['value'] = '';
			}
	
		} elseif (!empty($f['is_custom'])) {

			if (!empty($errors['custom_field'][$f['custom_field_id']])) {
				$f['error'] = $errors['custom_field'][$f['custom_field_id']];
			}
			
			if (!empty($new_data)) {
				if (isset($new_data['custom_field']) && isset($new_data['custom_field'][$f['custom_field_id']])) {
					$f['value'] = $new_data['custom_field'][$f['custom_field_id']];
				} else {
					$f['value'] = '';
				}
			} elseif (!empty($old_data['custom_field'][$f['custom_field_id']])) {
				$f['value'] = $old_data['custom_field'][$f['custom_field_id']];
			} else {
				$f['value'] = '';
			}
		} else {
			$f = $this->defaultGetFieldWithData($k, $f, $old_data, $new_data);
		}
		
		return $f;
	}
	
}