<?php
/*
	$Project$
	$Author$

	$Version$ ($Revision$)
*/

namespace extension\ka_extensions\ka_multivendor;

class ModelCatalogCategory extends \ModelCatalogCategory {

	public function addCategory($data) {

		$category_id = parent::addCategory($data);
		if (empty($category_id)) {
			return $category_id;
		}

		if (isset($data['category_attribute_groups'])) {
			foreach ($data['category_attribute_groups'] as $attribute_group_id) {
				$this->db->query("INSERT INTO " . DB_PREFIX . "ka_category_attribute_groups SET 
					category_id = '" . (int)$category_id . "', 
					attribute_group_id = '" . (int)$attribute_group_id . "'
				");
			}
		}

///karapuz		

		return $category_id;
	}

	
	public function editCategory($category_id, $data) {

		parent::editCategory($category_id, $data);
	
		$this->db->query("DELETE FROM " . DB_PREFIX . "ka_category_attribute_groups WHERE category_id = '" . (int)$category_id . "'");

		if (isset($data['category_attribute_groups'])) {
			foreach ($data['category_attribute_groups'] as $attribute_group_id) {
				$this->db->query("INSERT INTO " . DB_PREFIX . "ka_category_attribute_groups SET 
					category_id = '" . (int)$category_id . "', 
					attribute_group_id = '" . (int)$attribute_group_id . "'
				");
			}
		}
	}

	public function deleteCategory($category_id) {
		parent::deleteCategory($category_id);
	
		$this->db->query("DELETE FROM " . DB_PREFIX . "ka_category_attribute_groups WHERE category_id = '" . (int)$category_id . "'");
	}

	public function getCategoryAttributeGroups($category_id) {
		$data = array();

		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "ka_category_attribute_groups WHERE 
			category_id = '" . (int)$category_id . "'
		");

		foreach ($query->rows as $result) {
			$data[] = $result['attribute_group_id'];
		}

		return $data;
	}
}