<?php
/*
	$Project: Multivendor $
	$Author: karapuz team <support@ka-station.com> $

	$Version: 1.0.0.0 $ ($Revision: 154 $)
*/
namespace extension\ka_extensions\ka_multivendor;

class ModelKaSMethods extends \extension\ka_extensions\Model {

	protected function getMethodsSql($data = array()) {

		$sql = parent::getMethodsSql($data);

		$route = '';
		if (!empty($this->request->get['route'])) {
			$route = basename($this->request->get['route']);
		}

		// all methods have to be returned on install/uninstall pages to properly activate/deactivate them
		// by the custom shipping methods extension
		//
		if (!isset($data['vendor_id']) && !in_array($route, array('install','uninstall'))) {
			$vendor_id = 0;
			if (isset($data['vendor_id'])) {
				$vendor_id = (int)$data['vendor_id'];
			}
			
			$sql .= " AND vendor_id = $vendor_id";
		}
		
		return $sql;
	}
}