<?php
/*
	$Project: Multivendor $
	$Author: karapuz team <support@ka-station.com> $

	$Version: 1.0.0.0 $ ($Revision: 116 $)
*/

namespace extension\ka_extensions\ka_multivendor;

class ModelOrderStatus extends AModelOrderStatus {

	public function getOrderStatusesWithVendorMark($data = array()) {

		$this->load->model('localisation/order_status');
		$statuses = $this->model_localisation_order_status->getOrderStatuses();
		if (empty($statuses)) {
			return;
		}
		
		foreach ($statuses as $k => $v) {
		
			if ($this->isVendorStatus($v['order_status_id'])) {
				$statuses[$k]['is_vendor_status'] = true;
			} else {
				$statuses[$k]['is_vendor_status'] = false;
			}
		}
	
		return $statuses;
	}
}

class_alias(__NAMESPACE__ . '\ModelOrderStatus', '\ModelExtensionKaExtensionsKaMultivendorOrderStatus');