<?php
/*
	$Project: Multivendor $
	$Author: karapuz team <support@ka-station.com> $

	$Version: 1.0.0.0 $ ($Revision: 124 $)
*/

namespace extension\ka_extensions\ka_multivendor;

use extension\ka_extensions\QB;

class ModelCustomerOrder extends AModelOrder {

	protected function getOrdersQB($data = array()) {

 		$qb = parent::getOrdersQB($data);
 		$qb->where("o.customer_id = '" . $this->customer->getId() . "'");
 		
		return $qb;
	}
	
	protected function getVendorOrderQB($vendor_order_id) {
		
		$qb = parent::getVendorOrderQB($vendor_order_id);

		$qb->innerJoin('order', 'o', 'o.order_id = ka_vo.main_order_id');
		
		$qb->where("o.customer_id = '" . $this->customer->getId() . "'");
		
		return $qb;
	}	
}

class_alias(__NAMESPACE__ . '\ModelCustomerOrder', '\ModelExtensionKaExtensionsKaMultivendorCustomerOrder');