<?php

namespace extension\ka_extensions\ka_multivendor\table;
use extension\ka_extensions\atable as atable;

class KaShippingMethods extends ATable {

	const TABLE_NAME = 'ka_shipping_methods';

	/*
		List of fields available for update by a vendor
	*/
	public function getFields() {
		
		$fields = array(
			'shipping_method_id'  => array(
				'primary_key' => true,
			),			
			'status' => array(),
			'vendor_id' => array(),
		);
		
		return $fields;
	}
	
	
}

class_alias(__NAMESPACE__ . '\KaShippingMethods', '\ModelExtensionKaExtensionsKaMultivendorTableKaShippingMethods');