<?php

namespace extension\ka_extensions\ka_multivendor\table;
use extension\ka_extensions\atable as atable;

class KaShippingMethodsDescription extends ATable {

	const TABLE_NAME = 'ka_shipping_methods_description';

	/*
		List of fields available for update by a vendor
	*/
	public function getFields() {
		
		$fields = array(
			'shipping_method_id' => array(),
			'language_id'      => array(),
			'name'             => array(),
			'description'      => array(),
		);

		return $fields;
	}
	
}

class_alias(__NAMESPACE__ . '\KaShippingMethodsDescription', '\ModelExtensionKaExtensionsKaMultivendorTableKaShippingMethodsDescription');