<?php

namespace extension\ka_extensions\ka_multivendor\table;
use extension\ka_extensions\atable as atable;

class ProductDescription extends ATable {

	const TABLE_NAME = 'product_description';

	public function save($data, $allow_insert = true) {
	
		if (empty($data)) {
			return array();
		}

		if (!empty($data['name'])) {
			$data['meta_title'] = $data['name'];
		}
		
		return parent::save($data, $allow_insert);
	}
	
	/*
		List of fields available for update by a vendor
	*/
	public function getFields() {
		
		$fields = array(
			'product_id'       => array(),
			'language_id'      => array(),
			'name'             => array(),
			'description'      => array(),
			'tag'              => array(),
			'meta_title'       => array(),
			'meta_description' => array(),
			'meta_keyword'     => array(),
		);

		return $fields;
	}
	
}
class_alias(__NAMESPACE__ . '\ProductDescription', '\ModelExtensionKaExtensionsKaMultivendorTableProductDescription');