<?php

namespace extension\ka_extensions\ka_multivendor\table;
use extension\ka_extensions\atable as atable;

class ProductSpecial extends ATable {

	const TABLE_NAME = 'product_special';

	function onLoad() {
	
		$this->load->model('setting/setting');
		
		$customer_group_id = $this->model_setting_setting->getSettingValue('config_customer_group_id', $this->config->get('config_store_id'));
	
		$this->values = array(
			'customer_group_id' => $customer_group_id,
		);
	}
	
	/*
		List of fields available for update
	*/
	public function getFields() {
		
		$fields = array(
			'product_id'        => array(),
			'price'             => array(),
			'customer_group_id' => array(),
		);

		return $fields;
	}
}
class_alias(__NAMESPACE__ . '\ProductSpecial', '\ModelExtensionKaExtensionsKaMultivendorTableProductSpecial');