<?php
/*
	$Project: Multivendor $
	$Author: karapuz team <support@ka-station.com> $

	$Version: 1.0.0.0 $ ($Revision: 122 $)
*/

namespace extension\ka_extensions\ka_multivendor;

abstract class AModelProduct extends \extension\ka_extensions\Model {

	public function getProductsByVendorId($vendor_id) {
		$products = $this->db->query("SELECT * FROM " . DB_PREFIX . "product p 
			LEFT JOIN " . DB_PREFIX . "product_description pd ON (p.product_id = pd.product_id) 
			WHERE pd.language_id = '" . (int)$this->config->get('config_language_id') . "' 
				AND p.vendor_id = '" . (int)$vendor_id . "' ORDER BY pd.name ASC
		")->rows;
		
		return $products;
	}

	
	public function getProductInternal($product_id) {
	
		$product = $this->db->query("SELECT * FROM " . DB_PREFIX . "product 
			WHERE product_id = '" . (int)$product_id . "'
		")->row;
		
		if (empty($product)) {
			return array();
		}

		// get product category
		//
		$category = $this->db->query("SELECT * FROM " . DB_PREFIX . "product_to_category
			WHERE product_id = '" . (int)$product_id . "'
		")->row;
		if (!empty($category)) {
			$product['category_id'] = $category['category_id'];
		}
		
		// get special price for the product
		$special = $this->db->query("SELECT * FROM " . DB_PREFIX . "product_special
			WHERE product_id = '" . $product_id . "'
		")->row;
		
		if (!empty($special)) {
			$product['special_price'] = $special['price'];
		} else {
			$product['special_price'] = '';
		}
		
		return $product;
	}	
}