<?php

namespace extension\ka_extensions\ka_multivendor\table;
use extension\ka_extensions\atable as atable;

class CustomerHistory extends ATable {

	const TABLE_NAME = 'customer_history';

	protected function getRecordFromData($data) {

		$data = parent::getRecordFromData($data);
		
		if (empty($data['date_added'])) {
			$data['date_added'] = date('Y-m-d H:i:s');
		}

		return $data;
	}
	
	/*
		List of fields available for update
	*/
	public function getFields() {
		
		$fields = array(
			'customer_history_id' => array(
				'primary_key' => true,
			),
			'customer_id' => array(),
			'comment'     => array(),
			'date_added'  => array(),
		);

		return $fields;
	}
}
class_alias(__NAMESPACE__ . '\CustomerHistory', '\ModelExtensionKaExtensionsKaMultivendorTableCustomerHistory');